View Issue Details

IDProjectCategoryView StatusLast Update
0002242Far ManagerMacropublic2013-01-07 19:17
ReporterSUSimAssigned Toshmuel 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP2
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002242: regex.match()
DescriptionKey="CtrlShiftG" local Ctrl,Alt,Shift,Char = regex.match(Key,"^(R?Ctrl)?(R?Alt)?(Shift)?(.*)$")
Ctrl=="Ctrl" - правильно
Alt=="ShiftG" - неправильно - с чего это
Shift=="Shift" - правильно
Char=="G" - правильно
в стандартной замене фара: $2=""

Баг?
Да, баг. Причём, если убрать ^, то начинает работать правильно.
TagsNo tags attached.
Build3067

Activities

shmuel

2013-01-05 02:07

developer   bugnote:0009928

Проверяйте в ближайшей ночной сборке.

SUSim

2013-01-06 15:28

reporter   bugnote:0009938

3.0 build 3066 x86 работает

shmuel

2013-01-06 18:00

developer   bugnote:0009941

Исправление сделано в LuaFAR'е, но у меня сильное ощущение, что править надо в Фаре, т.к. для описываемого случая Фар не выставляет отрицательное значение Match[i].start для "пропускаемой" группы.

Поскольку с кодом фаровского модуля регекспов не знаком, а времени на ознакомление сейчас нет, то сделал так, как сделал.

shmuel

2013-01-07 19:15

developer   bugnote:0009942

zg исправил в Фаре (билд 3067).

Issue History

Date Modified Username Field Change
2013-01-04 23:54 SUSim New Issue
2013-01-05 00:08 shmuel Assigned To => shmuel
2013-01-05 00:08 shmuel Status new => assigned
2013-01-05 02:07 shmuel Note Added: 0009928
2013-01-05 02:07 shmuel Status assigned => feedback
2013-01-06 15:28 SUSim Note Added: 0009938
2013-01-06 15:28 SUSim Status feedback => assigned
2013-01-06 18:00 shmuel Build => 3066
2013-01-06 18:00 shmuel Note Added: 0009941
2013-01-06 18:00 shmuel Status assigned => closed
2013-01-06 18:00 shmuel Resolution open => fixed
2013-01-06 18:00 shmuel Fixed in Version => 3.0
2013-01-07 19:15 shmuel Note Added: 0009942
2013-01-07 19:17 shmuel Build 3066 => 3067